"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var Loader_1 = __importDefault(require("./Loader"));
var Images = (function (_super) {
    __extends(Images, _super);
    function Images() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Images.prototype.register = function () {
        this.bundler.webpackChain.module
            .rule("images")
            .exclude.add(/fonts/)
            .end()
            .test(/\.(png|jpe?g|gif|svg)$/)
            .use("file-loader")
            .loader("file-loader")
            .options({
            esModule: false,
            name: "images/[name].[ext]?[hash:8]",
        })
            .end()
            .use("image-webpack-loader")
            .loader("image-webpack-loader")
            .options({
            mozjpeg: {
                progressive: true,
                quality: 75,
            },
            optipng: {
                optimizationLevel: 3,
            },
            pngquant: {
                quality: [0.75, 0.9],
                speed: 4,
            },
            gifsicle: {
                interlaced: true,
            },
            disable: !this.bundler.env.isProduction,
        });
    };
    return Images;
}(Loader_1.default));
exports.default = Images;
//# sourceMappingURL=Images.js.map