"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var babel_loader_1 = __importDefault(require("babel-loader"));
exports.default = babel_loader_1.default.custom(function () {
    return {
        customOptions: function (loader) {
            var custom = {
                entryFiles: loader.entryFiles,
            };
            delete loader.entryFiles;
            return { custom: custom, loader: loader };
        },
        config: function (cfg, _a) {
            var customOptions = _a.customOptions;
            cfg.options.presets.map(function (preset) {
                if (preset.file.request === "varie-app") {
                    preset.options.entryFiles = customOptions.entryFiles;
                }
                return preset;
            });
            return __assign(__assign({}, cfg.options), { plugins: __spreadArray([], (cfg.options.plugins || []), true) });
        },
    };
});
//# sourceMappingURL=BabelLoader.js.map